#masonry-content .column {
    max-width: 400px;
    display:flex;
    flex-direction: column;
    align-items: center;
    margin: 0px 0 0 12px;
    
  }
  #masonry-content .column:first-child {
    margin-left:0px;
  }
  #masonry-content img {
    width:100%;
    height:auto;
    position:relative
  }
  
  #masonry-content .post {
    
    margin-bottom:30px;
    font-size:1.2em;
    display: flex;
    flex-direction: column;
   
  }
  #masonry-content .post .post-image-container {
    position:relative;
    cursor: pointer;
    display: flex;
  }
  #masonry-content .post .post-image-container .view-image {
    position:absolute;
    bottom:0px;
    width:100%;
    height:36px;
    background-color:rgba(0, 0, 0, 0.7);
    color:white;
    display:flex;
    align-items: center;
    padding:5px 10px;
    left:0px;
    box-sizing: border-box;
    opacity:0;
    transition:opacity .5s ease;
  }
  #masonry-content .post .post-image-container:hover .view-image {
    opacity:1;
  }
  .tags {
    display:flex;
    margin:4px 0px;
  }
  .tag {
    padding:4px 10px;
    margin-right:5px;
    background-color: #e6e6e6;
    border-radius: 10px;
    font-size: 1em;
    color:black;
    cursor: pointer;
  }
  .info-box {
    padding:0 5px;
  }
  .post .date {
    color:rgba(0, 0, 0, 0.7);
    margin-top:4px;
    padding:4px 0px;
    border-top:1px solid #e6e6e6;
    color:#969696;
  }
  html.modal-open {
    overflow: hidden;
  }
  html.modal-open #modal-overlay{
    position:fixed;
    left:0px;
    height:100%;
    width:100%;
    top:0px;
    background-color: rgba(0, 0, 0, 0.8);
    z-index:100;
    display:block;
  }
  #image-modal {
    display:none;
  }
  html.modal-open #image-modal {
    position:fixed;
    top:0px;
    left:0px;
    width: 100%;
    
    height: 100%;
    
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 101;
    display: flex;
    flex-direction:row;
    flex-wrap:wrap;
    justify-content: center;
  }
  .image-modal-header {
    width:100%;
    height:50px;
    background-color: rgba(0, 0, 0, 0.6);
    display:flex;
    align-items: center;
    padding:0px 10px;
  }
  html.modal-open #image-modal #close-modal {
    width:30px;
    height:30px;
    background-color: transparent;
    color:white;
    font-size:16px;
    border:0;
    outline: none;;
    display:flex;
    align-items: center;
    justify-content: center;
    margin-left:auto;
  }
  html.modal-open #image-modal #close-modal * {
    pointer-events: none;
  }
  html.modal-open #image-modal #close-modal i {
    color:white;
    
  }
  #modal-body {
    display:flex;
    align-items:center;
    justify-content: center;
    overflow: hidden;
    flex-wrap:wrap;
    width:100%;
    overflow-y:auto;
    height:calc(100% - 50px);
  }
  #modal-body figure {
    color:white;
   
   
    display:flex;
    flex-direction: column;
    align-items: center;
  }
  #modal-body figure figcaption {
    margin:10px
  }
  #modal-body .print-list {
    color:white;
    list-style-type: none;
    max-width:250px;
    width:100%;
    padding:0px;
    margin:0;
    display:flex;
    flex-direction: column;
  }
  #modal-body .print-list li {
    width:100%;
  }
  #modal-body .print-list a {
    display:flex;
    padding:10px;
    align-items: center;
    height:60px;
    border:1px solid rgba(255, 255, 255, 0.5);
    margin-bottom:4px;
    text-decoration: none;
    color:white;
    border-radius: 4px;
    font-size:1.2em;
  }
  #modal-body .print-list a span {
    margin-right:5px;
  }
  #modal-body .print-list a span.print-name {
    font-weight:bold;
    
  }
  .filter {
    color:white;
    margin-left:auto;
    display:flex;
    flex-direction: row;
    align-items: center;
    position: relative;
    max-width:270px;
    width:100%;
    padding:5px 10px;
    border:1px solid rgba(255, 255, 255, 0.4);
    border-radius: 20px;
    margin-right:10px;
  }
  .filter #tag_list {
    position:absolute;
    left:10px;
    top:28px;
    z-index:1000;
    display:inline-flex;
    flex-wrap:wrap;
    width:calc(100% - 20px);
    background-color:rgba(0, 0, 0, 0.8);
    padding:10px;
    border-bottom-left-radius:20px;
    border-bottom-right-radius:20px;
    max-height:350px;
    overflow: auto;
  }
  .filter #tag_list .tag {
    margin-bottom:5px;
    
  }
  .filter .selected-tag-container {
    display:flex;
    align-items: center;
    width:100%;
    height:100%;
  }
  .filter .selected-tag-container * {
    pointer-events: none;
  }
  .filter .selected-tag-container span i{
    margin-right:5px;
  }
  .filter .selected-tag-container .selected-tag {
    margin-left:5px;
  }
  .filter button {
    margin-left:auto;
    background:transparent;
    color:white;
    border:0;
    
  }
  .filter button * {
    pointer-events: none;
  }
  .filter button:disabled {
    opacity:.5;
  }
  
.img_slide {
  display:none;

}
.img_slide.active {
  display:flex;
}
.carousel-dots {
  display:flex;
  justify-content: center;
  padding:5px;
}
.num_text {
  position:absolute;
  top:8px;
  left:8px;
  z-index:1;
  color:white;
}
.dot {
  width:10px;
  height:10px;
  background-color: #969696;
  border-radius:50%;
  margin-right:5px;
  cursor: pointer;
}
.dot.active {
  background-color: black;
}
.post button {
  position:absolute;
  height:50px;
  width:30px;
  background-color: rgba(0, 0, 0, 0.5);
  color:white;
  top:50%;
  transform:translate(0%,-50%);
  border:0;
  cursor: pointer;
}
.post button i {
  pointer-events: none;
}
button.next {
  right:0;
}
button.prev {
  left:0
}